=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.2.4 --all-targets --all-features
Features: test-name=rust-vsock:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.3-~~), librust-sha2+default-dev (>= 0.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.2.4 --all-targets
Features: test-name=librust-vsock-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.3-~~), librust-sha2+default-dev (>= 0.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.2.4 --all-targets --no-default-features
Features: test-name=librust-vsock-dev:
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.3-~~), librust-sha2+default-dev (>= 0.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky
