## rust-vsock 0.4.0

=== debian/changelog ===
rust-vsock (0.4.0-5) unstable; urgency=medium

  * Team upload.
  * Package vsock 0.4.0 from crates.io using debcargo 2.7.0
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 19:58:02 +0000

rust-vsock (0.4.0-4) experimental; urgency=medium

  * Team upload.
  * Package vsock 0.4.0 from crates.io using debcargo 2.7.0
  * Add upstream patch to support nix 0.29.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 19 Oct 2024 13:51:00 +0000

rust-vsock (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Package vsock 0.4.0 from crates.io using debcargo 2.6.1
  * Add workaround for glibc suseconds_t inconsistency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 20:20:55 +0000

rust-vsock (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Package vsock 0.4.0 from crates.io using debcargo 2.6.1
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 13:53:39 +0000

rust-vsock (0.4.0-1) experimental; urgency=medium

  * Team upload.
  * Package vsock 0.4.0 from crates.io using debcargo 2.6.1
  * Drop old nix-0.24.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Feb 2024 09:32:26 +0000
