=== debian/control ===
Source: rust-vsock
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.150-~~) <!nocheck>,
 librust-nix-0.29+default-dev <!nocheck>,
 librust-nix-0.29+ioctl-dev <!nocheck>,
 librust-nix-0.29+socket-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/vsock]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/vsock
Homepage: https://github.com/rust-vsock/vsock-rs
X-Cargo-Crate: vsock
Rules-Requires-Root: no

Package: librust-vsock-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev (>= 0.2.150-~~),
 librust-nix-0.29+default-dev,
 librust-nix-0.29+ioctl-dev,
 librust-nix-0.29+socket-dev
Provides:
 librust-vsock+default-dev (= ${binary:Version}),
 librust-vsock-0-dev (= ${binary:Version}),
 librust-vsock-0+default-dev (= ${binary:Version}),
 librust-vsock-0.4-dev (= ${binary:Version}),
 librust-vsock-0.4+default-dev (= ${binary:Version}),
 librust-vsock-0.4.0-dev (= ${binary:Version}),
 librust-vsock-0.4.0+default-dev (= ${binary:Version})
Description: Virtio socket support for Rust - Rust source code
 Source code for Debianized Rust crate "vsock"
