## rust-vsock 0.5.1

=== debian/changelog ===
rust-vsock (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Package vsock 0.5.1 from crates.io using debcargo 2.7.8

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Sep 2025 12:58:02 +0000

rust-vsock (0.5.1-1) unstable; urgency=medium

  * Team upload
  * Package vsock 0.5.1 from crates.io using debcargo 2.7.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 1 Sep 2025 12:07:55 -0400
