=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.5.1 --all-targets --all-features
Features: test-name=rust-vsock:@
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.8-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.5.1 --all-targets
Features: test-name=librust-vsock-dev:default
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.8-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test vsock 0.5.1 --all-targets --no-default-features
Features: test-name=librust-vsock-dev:
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.8-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky
